package com.goafanti.customer.service;

import com.goafanti.common.bo.InputCallCompleter;
import com.goafanti.common.bo.Result;
import com.goafanti.customer.bo.InputCallNumber;
import com.goafanti.customer.bo.InputUserCallList;

public interface UserOutboundService {
    Object checkUser(Integer type);

    Result pushCallNumber(InputCallNumber in);

    Result blindTransferByAgent(InputCallNumber in);

    Object pushCallCompleted(InputCallCompleter in);

    Object agentList();

    Object getDefaultMobile(String uid);

    Object userCallList(InputUserCallList in);


    Object pushAllCall();

    Object callAllList(InputUserCallList in);
}
